Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- eclipse.sites
- eclipse.sites.SiteRenderer
- eclipse.sites.SiteTreeModel
- exports.GitCommitExplorer-GitCommitExplorer
- exports.GitRepositoryExplorer-GitRepositoryExplorer
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.commands.Command
- orion.commands.CommandService
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareOverviewRuler
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.console.Console
- orion.console.ConsoleInput
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.dialogs.DialogService
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.Editor
- orion.editor.JavaScriptContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.editor.util
- orion.explorer-table.FileExplorer
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.file.ContentType
- orion.file.ContentTypeService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.git.GitClonesExplorer
- orion.git.GitClonesModel
- orion.git.GitCommitNavigator
- orion.git.GitService
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.EventTarget
- orion.serviceregistry.Service
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.siteService.SiteConfiguration
- orion.siteService.SiteService
- orion.status.StatusReportingService
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.LoadEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.UnloadEvent
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.util
- orion.widgets.DirectoryTreeModel
- orion.widgets.OpenResourceDialog
- orion.widgets.SiteEditor
- String

# Class orion.siteService.SiteService

Defines and implements a service that provides access to the server API for managing site configurations.
Defined in: </shared/eclipse/e4/orion/I201202282230/plugins/org.eclipse.orion.client.core/web/orion/siteService.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.siteService.SiteService(serviceRegistry) Constructs a new SiteService.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| createSiteConfiguration(name, workspace, mappings, hostHint) Creates a site configuration.
| deleteSiteConfiguration(locationUrl) Deletes a site configuration.
| getContext()
| getSiteConfigurations() Retrieves all site configurations defined by the logged-in user.
| loadSiteConfiguration(Location) Loads an individual site configuration from the given location.
| makeFullFilePath(target)
| makeRelativeFilePath(location)
| toFullUrl(url)
| updateSiteConfiguration(locationUrl, updatedSiteConfig) Edits an existing site configuration.

Class Detail
orion.siteService.SiteService(serviceRegistry)
Constructs a new SiteService.

Parameters:
{orion.serviceregistry.ServiceRegistry} serviceRegistry
  The service registry to register ourself with.

Requires:
  auth.js

Method Detail
{dojo.Deferred} createSiteConfiguration(name, workspace, mappings, hostHint)
Creates a site configuration.

Parameters:
{String} name
{String} workspace
{Array} mappings Optional
{String} hostHint Optional

Returns:
  {dojo.Deferred} A deferred for the result. Will be resolved with the created eclipse.sites.SiteConfiguration on success.

{dojo.Deferred} deleteSiteConfiguration(locationUrl)
Deletes a site configuration.

Parameters:
{String} locationUrl
  Location of the site configuration resource to be deleted.

Returns:
  {dojo.Deferred} A deferred for the result. Will be resolved with no argument on success.

getContext()

{dojo.Deferred} getSiteConfigurations()
Retrieves all site configurations defined by the logged-in user.

Returns:
  {dojo.Deferred} A deferred for the result. Will be resolved with the argument Array on success, where each element of the array is a eclipse.sites.SiteConfiguration.

{dojo.Deferred} loadSiteConfiguration(Location)
Loads an individual site configuration from the given location.

Parameters:
{String} Location
  URL of a site configuration resource.

Returns:
  {dojo.Deferred} A deferred for the result. Will be resolved with the loaded eclipse.sites.SiteConfiguration on success.

makeFullFilePath(target)

Parameters:
target

makeRelativeFilePath(location)

Parameters:
location

toFullUrl(url)

Parameters:
url

{dojo.Deferred} updateSiteConfiguration(locationUrl, updatedSiteConfig)
Edits an existing site configuration.

Parameters:
{String} locationUrl
  Location of the site configuration resource to be updated.
{eclipse.sites.SiteConfiguration} updatedSiteConfig
  A representation of the updated site. Properties that are not changing may be omitted.

Returns:
  {dojo.Deferred} A deferred for the result. Will be resolved with the updated eclipse.sites.SiteConfiguration on success.

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Feb 28 2012 22:34:47 GMT-0500 (EST)